Loading...
Searching...
No Matches
mycurl_param_list.hpp File Reference
Private

wrapper for element a CURL* object can receive as parameter in order to be put in etherogeneous list More...

`#include "../my_config.h"`
`#include <string>`
`#include <memory>`
`#include <map>`
`#include <list>`
`#include "integers.hpp"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Classes

class | libdar::mycurl_param_element_generic
| the ancestor class of etherogeneous list/map More...
class | libdar::mycurl_param_element< T >
| the implemented inherited classes of the abstracted class for etherogeneous list/map More...
class | libdar::mycurl_param_list

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

wrapper for element a CURL* object can receive as parameter in order to be put in etherogeneous list

Definition in file mycurl_param_list.hpp.